Name:        inconsolata-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Inconsolata.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 InconsolataNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataNerdFont-Bold.ttf
install -Dm644 InconsolataNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataNerdFont-Regular.ttf
install -Dm644 InconsolataNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataNerdFontMono-Bold.ttf
install -Dm644 InconsolataNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataNerdFontMono-Regular.ttf
install -Dm644 InconsolataNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataNerdFontPropo-Bold.ttf
install -Dm644 InconsolataNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/InconsolataNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/InconsolataNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/InconsolataNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataNerdFontPropo-Regular.ttf
%license "OFL.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
